using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace 开发辅助工具
{
   public class Init
    {
        public static void Show(string[] args)
        {
            if (args.Length >= 2)
            {
                if (args[0] == "ver")
                {
                    string ProjectDir = args[1];
                    Manager.RyProject.UpdateVer(ProjectDir.Trim('"') + "\\Properties\\AssemblyInfo.cs");
                }
                else if (args[0] == "get")
                {
                    string ProjectPath = args[1];
                    Application.Run(new Form1(ProjectPath, "get"));
                }
                else if (args[0] == "open")
                {
                    string ProjectPath = args[1];
                    Application.Run(new Form1(ProjectPath, "open"));
                }
            }
            else
            {
                Application.Run(new Form1("", ""));
            }
        }
    }
}
